package org.vendor.connector.api.i2c;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.core.runtime.Platform;
import org.eclipse.swt.widgets.Display;
import org.vendor.connector.api.i2c.jni.FT_STATUS;

public class I2cUtils {
  public static int getbaudRateValue(String baudRateStr) {
    int baudRate = 0;
    if (baudRateStr.contains("k")) {
      baudRateStr = baudRateStr.substring(0, baudRateStr.indexOf("k"));
      baudRate = Integer.parseInt(baudRateStr) * 1000;
    } else if (baudRateStr.contains("K")) {
      baudRateStr = baudRateStr.substring(0, baudRateStr.indexOf("K"));
      baudRate = Integer.parseInt(baudRateStr) * 1000;
    } else {
      baudRate = Integer.parseInt(baudRateStr);
    } 
    return baudRate;
  }
  
  public static int convertStringToInt(String str) {
    try {
      if (str.trim().isEmpty())
        return 0; 
      if (str.startsWith("0x") || str.startsWith("0X"))
        return Integer.parseInt(str.substring(2), 16); 
      return Integer.parseInt(str, 10);
    } catch (NumberFormatException e) {
      return Integer.parseInt(str.substring(2), 16);
    } 
  }
  
  public static String getInstallPath() {
    String path = null;
    path = Platform.getInstallLocation().getURL().getPath();
    if (path.startsWith("//"))
      return path; 
    if (path.startsWith("/"))
      path = path.substring(1); 
    return path;
  }
  
  public static <T> FT_STATUS getEnum(int index) {
    Class<FT_STATUS> clazz = FT_STATUS.class;
    T[] c = (T[])clazz.getEnumConstants();
    return (FT_STATUS)c[index];
  }
  
  public static boolean checkI2cReturn(int input) {
    FT_STATUS returnValue = getEnum(input);
    boolean result = false;
    switch (null.$SwitchMap$org$vendor$connector$api$i2c$jni$FT_STATUS[returnValue.ordinal()]) {
      case 1:
        result = true;
        break;
      case 2:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 3:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 4:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 5:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 6:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 7:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 8:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 9:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 10:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 11:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 12:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 13:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 14:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 15:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 16:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 17:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 18:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 19:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
      case 20:
        Display.getDefault().syncExec((Runnable)new Object());
        break;
    } 
    return result;
  }
}
